Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705922 - net-print/foo2zjs-99999999: can't fetch foo2zjs.tar.gz
Summary: net-print/foo2zjs-99999999: can't fetch foo2zjs.tar.gz
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-20 09:48 UTC by Viktor Yu. Kovalskii
Modified: 2020-07-17 23:39 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to fix foo2zjs-99999999.ebuild (foo2zjs-99999999.ebuild.patch,281 bytes, patch)
2020-03-26 05:53 UTC, Viktor Yu. Kovalskii
Details | Diff
Updated foo2zjs-udev.patch (foo2zjs-udev.patch,331 bytes, patch)
2020-03-26 05:54 UTC, Viktor Yu. Kovalskii
Details | Diff
Updated foo2zjs-usbbackend.patch (foo2zjs-usbbackend.patch,429 bytes, patch)
2020-03-26 05:55 UTC, Viktor Yu. Kovalskii
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Viktor Yu. Kovalskii 2020-01-20 09:48:08 UTC
emerge -1av net-print/foo2zjs

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   *] net-print/foo2zjs-99999999::gentoo  USE="-test" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

Would you like to merge these packages? [Yes/No] 
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) net-print/foo2zjs-99999999::gentoo
>>> Failed to emerge net-print/foo2zjs-99999999, Log file:
>>>  '/var/log/portage/build/net-print/foo2zjs-99999999:20200120-094132.log'
>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 0.85, 0.87, 0.47
 * Package:    net-print/foo2zjs-99999999
 * Repository: gentoo
 * Maintainer: printing@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux userland_GNU
 * FEATURES:   ccache network-sandbox preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
 * Fetching foo2zjs tarball
--2020-01-20 16:41:33--  http://foo2zjs.rkkda.com/foo2zjs.tar.gz
Resolving foo2zjs.rkkda.com (foo2zjs.rkkda.com)... failed: Temporary failure in name resolution.
wget: unable to resolve host address ‘foo2zjs.rkkda.com’

But using wget directly:

wget http://foo2zjs.rkkda.com/foo2zjs.tar.gz
--2020-01-20 16:42:22--  http://foo2zjs.rkkda.com/foo2zjs.tar.gz
Resolving foo2zjs.rkkda.com (foo2zjs.rkkda.com)... 74.208.236.166
Connecting to foo2zjs.rkkda.com (foo2zjs.rkkda.com)|74.208.236.166|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1776900 (1.7M) [application/gzip]
Saving to: 'foo2zjs.tar.gz'

foo2zjs.tar.gz 100%[==============================================>]   1.69M  1.16MB/s    in 1.5s    

2020-01-20 16:42:24 (1.16 MB/s) - 'foo2zjs.tar.gz' saved [1776900/1776900]

Reproducible: Always




eix foo2zjs
[I] net-print/foo2zjs
     Available versions:  (**)99999999^td{tbz2} {test}
     Installed versions:  99999999^d{tbz2}(19:05:42 05/17/19)(-test)
     Homepage:            http://foo2zjs.rkkda.com/
     Description:         Support for printing to ZjStream-based printers

emerge --info 
Portage 2.3.84 (python 3.6.10-final-0, default/linux/amd64/17.1/desktop, gcc-9.2.0, glibc-2.30-r3, 4.14.165-gentoo x86_64)
=================================================================
System uname: Linux-4.14.165-gentoo-x86_64-AMD_A8-6600K_APU_with_Radeon-tm-_HD_Graphics-with-gentoo-2.6
KiB Mem:     7641916 total,     74864 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 20 Jan 2020 02:46:12 +0000
Head commit of repository gentoo: 97b1e3e4cec725809c6ac5941f89ba96e4dc0555

Timestamp of repository flying: Thu, 05 Sep 2019 07:43:55 +0000
Head commit of repository jorgicio: c8590ff9fff16635fd73b99d57d7799696ecfcd7

Head commit of repository mozilla: 7499752ea5b1afcd8bc7ea71e7f9261364689e05

Head commit of repository science: 95865d81a152d7f25caad4cc1dc90775d47001bf

sh bash 5.0_p11
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
ccache version 3.7.7 [enabled]
app-shells/bash:          5.0_p11::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.17-r1::gentoo, 3.6.10::gentoo
dev-util/ccache:          3.7.7::gentoo
dev-util/cmake:           3.16.2-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.1-r2::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.2.0-r3::gentoo
sys-devel/gcc-config:     2.2::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.14-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r3::gentoo
Repositories:

gentoo
    location: /slag/gentoo-tree
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000

flying
    location: /slag/layman/flying
    masters: gentoo

jorgicio
    location: /slag/layman/jorgicio
    sync-type: git
    sync-uri: https://github.com/jorgicio/jorgicio-gentoo.git
    masters: gentoo
    priority: 50

mozilla
    location: /slag/layman/mozilla
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/proj/mozilla.git
    masters: gentoo
    priority: 50

science
    location: /slag/layman/science
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/proj/sci.git
    masters: gentoo
    priority: 50

Installed sets: @toolchain
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=bdver2 -mtune=bdver2 -O2 -pipe -mmmx -mno-3dnow -msse -msse2 -msse3 -mssse3 -msse4a -mcx16 -msahf -mno-movbe -maes -mno-sha -mpclmul -mpopcnt -mabm -mlwp -mfma -mfma4 -mxop -mbmi -mno-bmi2 -mtbm -mavx -mno-avx2 -msse4.2 -msse4.1 -mlzcnt -mno-rtm -mno-hle -mno-rdrnd -mf16c -mno-fsgsbase -mno-rdseed -mprfchw -mno-adx -mfxsr -mxsave -mno-xsaveopt -mno-avx512f -mno-avx512er -mno-avx512cd -mno-avx512pf -mno-prefetchwt1 -fstack-protector-strong --param l1-cache-size=16 --param l1-cache-line-size=64 --param l2-cache-size=2048"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=bdver2 -mtune=bdver2 -O2 -pipe -mmmx -mno-3dnow -msse -msse2 -msse3 -mssse3 -msse4a -mcx16 -msahf -mno-movbe -maes -mno-sha -mpclmul -mpopcnt -mabm -mlwp -mfma -mfma4 -mxop -mbmi -mno-bmi2 -mtbm -mavx -mno-avx2 -msse4.2 -msse4.1 -mlzcnt -mno-rtm -mno-hle -mno-rdrnd -mf16c -mno-fsgsbase -mno-rdseed -mprfchw -mno-adx -mfxsr -mxsave -mno-xsaveopt -mno-avx512f -mno-avx512er -mno-avx512cd -mno-avx512pf -mno-prefetchwt1 -fstack-protector-strong --param l1-cache-size=16 --param l1-cache-line-size=64 --param l2-cache-size=2048"
DISTDIR="/slag/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n --with-bdeps=y --quiet-build"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=bdver2 -mtune=bdver2 -O2 -pipe -mmmx -mno-3dnow -msse -msse2 -msse3 -mssse3 -msse4a -mcx16 -msahf -mno-movbe -maes -mno-sha -mpclmul -mpopcnt -mabm -mlwp -mfma -mfma4 -mxop -mbmi -mno-bmi2 -mtbm -mavx -mno-avx2 -msse4.2 -msse4.1 -mlzcnt -mno-rtm -mno-hle -mno-rdrnd -mf16c -mno-fsgsbase -mno-rdseed -mprfchw -mno-adx -mfxsr -mxsave -mno-xsaveopt -mno-avx512f -mno-avx512er -mno-avx512cd -mno-avx512pf -mno-prefetchwt1 -fstack-protector-strong --param l1-cache-size=16 --param l1-cache-line-size=64 --param l2-cache-size=2048"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg ccache cgroup config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=bdver2 -mtune=bdver2 -O2 -pipe -mmmx -mno-3dnow -msse -msse2 -msse3 -mssse3 -msse4a -mcx16 -msahf -mno-movbe -maes -mno-sha -mpclmul -mpopcnt -mabm -mlwp -mfma -mfma4 -mxop -mbmi -mno-bmi2 -mtbm -mavx -mno-avx2 -msse4.2 -msse4.1 -mlzcnt -mno-rtm -mno-hle -mno-rdrnd -mf16c -mno-fsgsbase -mno-rdseed -mprfchw -mno-adx -mfxsr -mxsave -mno-xsaveopt -mno-avx512f -mno-avx512er -mno-avx512cd -mno-avx512pf -mno-prefetchwt1 -fstack-protector-strong --param l1-cache-size=16 --param l1-cache-line-size=64 --param l2-cache-size=2048"
GENTOO_MIRRORS="https://mirror.yandex.ru/gentoo-distfiles/ http://trumpetti.atm.tut.fi/gentoo"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru"
MAKEOPTS="-j5"
PKGDIR="/slag/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/slag"
USE="X a52 aac acl acpi alsa amd64 berkdb branding bs2b bzip2 cairo caps cdr cli consolekit cups custom-cflags custom-optimization cxx dbus djvu dri dts dvd dvdr emboss enca encode exceptions exif ffmpeg flac fontconfig fortran gif gimp gmp gpm harfbuzz iconv icu idn jbig jit jpeg jpeg2k kde kwallet latex lcms libass libnotify libsamplerate libtirpc lm-sensors lz4 lzma lzo mng mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openh264 openmp pam pango pcre pdf png policykit postscript ppds pulseaudio qml qt5 rar readline samba seccomp slang sndfile spell split-usr sqlite ssl startup-notification subversion svg taglib tcpd theora threads tiff truetype udev udisks unicode upower usb utils vdpau vorbis wavpack wayland webengine webp wxwidgets x264 xattr xcb xml xmp xv xvid xz zip zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" L10N="ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="AMDGPU" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python3_6" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby27" SANE_BACKENDS="snapscan" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jonas Stein gentoo-dev 2020-01-20 13:30:31 UTC
This ebuild needs some care:

src_unpack() {
    einfo "Fetching ${PN} tarball"
    wget "http://foo2zjs.rkkda.com/${PN}.tar.gz" || die
    tar zxf "${WORKDIR}/${PN}.tar.gz" || die
Comment 2 Viktor Yu. Kovalskii 2020-03-26 05:53:34 UTC
Created attachment 625894 [details, diff]
Patch to fix foo2zjs-99999999.ebuild

This patch fixes this bug for me. It just adds PROPERTIES="live" to ebuild
Comment 3 Viktor Yu. Kovalskii 2020-03-26 05:54:46 UTC
Created attachment 625896 [details, diff]
Updated foo2zjs-udev.patch

Old foo2zjs-udev.patch can't be applied to foo2zjs.
Comment 4 Viktor Yu. Kovalskii 2020-03-26 05:55:59 UTC
Created attachment 625898 [details, diff]
Updated foo2zjs-usbbackend.patch

Old foo2zjs-usbbackend.patch can't be applied to foo2zjs
Comment 5 Jack 2020-07-17 23:39:16 UTC
I'm curious about the state of this.  The 9999 ebuild still fails due to network sandbox violation.  I ended up manually downloading the latest tarball from the site, and then running the 20200221 ebuild.